package cn.com.qmth.examcloud.core.questions.base.enums;

import org.apache.commons.lang3.StringUtils;

public enum QuestionDifficulty {
	HARD("难"), MEDIUM("中"), EASY("易");

	private final String name;

	QuestionDifficulty(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}
	
	public static QuestionDifficulty getByName(String name) {
		if(StringUtils.isBlank(name)) {
			return null;
		}
		for(QuestionDifficulty e:QuestionDifficulty.values()) {
			if(name.equals(e.getName())) {
				return e;
			}
		}
		return null;
	}

}